# Class UpdateUserWithAuthDto

Namespace
  adas_core.Domain.Models.DTO

Assembly
  adas-core.Domain.dll

Represents a data transfer object used to update a user along with their authentication details.

    public class UpdateUserWithAuthDto

Inheritance
  object
  UpdateUserWithAuthDto

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Remarks

This DTO is typically used to transfer user account and authentication information in update operations.

## Properties

### Authorizations

    public List<Authorization> Authorizations { get; set; }

#### Property Value

List<Authorization>

### AuthsToDelete

    public List<string> AuthsToDelete { get; set; }

#### Property Value

List<string>

### NewAuthorizations

    public List<Authorization> NewAuthorizations { get; set; }

#### Property Value

List<Authorization>

### User

    public User User { get; set; }

#### Property Value

User